var inDieselProModule = (function () {
    
    $('body').on('change','select.select-trip-vehicle',function(){
        var vehicleID    =   $(this).val();
        if(vehicleID) {
            $.ajax({
                url: base_url+'fetchAjaxData/fetchVechicleOpeningKM.php?vehicleID='+vehicleID,
                dataType: "json",
                type: 'GET',        
                success: function(data) {
                   
                        //$("input.odometerkm").val(data[0].closingKM);
                   
                },
                error: function() {
                    console.log('An error has occurred');
                }                
            });
            $.ajax({
                url: base_url+'fetchAjaxData/fetchVechicleOpeningHours.php?vehicleID='+vehicleID,
                dataType: "json",
                type: 'GET',        
                success: function(data) {
                    
                        //$("input.odometerhours").val(data[0].opening_hr);
                        //$("input.enginestart_hr").val(data[0].elosing_hr);
                    
                },
                error: function() {
                    console.log('An error has occurred');
                }                
            });
            


        }

    });





    
    

})();